      ! Example code to assign fixed freezing heights at 5.0 km.
      ! 09/04               -  Replaced NBUFF and NCORE with MAX_SCANS      

      subroutine frzhgt_fixed(nwork, pixel_status, frzheight)

      implicit none

      include 'parameters.inc'

      integer     nwork
      integer*2   pixel_status(NPIX, MAX_SCANS)
      real        frzheight(NPIX, MAX_SCANS)

      integer     lin, pix


      do lin = 1, nwork
         do pix = 1, NPIX

            ! Skip if pixel is not O.K.           
            if ( pixel_status(pix,lin) .lt. 0) goto 999

            frzheight(pix,lin) = 5000
 999     end do
      end do

      return
      end

